For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tasks

Task management operations

List all tasks

get

Returns all tasks accessible to the authenticated user within their organization

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Responses
200

List of tasks

application/json
idintegerRequired

Unique task identifier

Example: 1
titlestringRequired

Task title

Example: Complete quarterly report
descriptionstring · nullableOptional

Task description

Example: Compile data from all departments
projectIdinteger · nullableOptional

Associated project ID

Example: 5
organizationIdinteger · nullableOptional

Associated organization ID

milestoneIdinteger · nullableOptional

Associated milestone ID

phaseIdinteger · nullableOptional

Associated phase ID

orderintegerOptional

Display order within the list

Example: 0
assigneeIdinteger · nullableOptional

User ID of assignee

Example: 3
statusstring · enumRequired

Task status

Example: in_progressPossible values:
prioritystring · enumRequired

Task priority

Example: highPossible values:
dueDatestring · date-time · nullableOptional

Task due date

Example: 2026-02-15T00:00:00.000Z
createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

get/tasks
GET /api/tasks HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "title": "Complete quarterly report",
    "description": "Compile data from all departments",
    "projectId": 5,
    "organizationId": 1,
    "milestoneId": 1,
    "phaseId": 1,
    "order": 0,
    "assigneeId": 3,
    "status": "in_progress",
    "priority": "high",
    "dueDate": "2026-02-15T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "assignee": {
      "id": 1,
      "username": "text",
      "fullName": "text"
    },
    "project": {
      "id": 1,
      "title": "text"
    },
    "milestone": {
      "id": 1,
      "title": "text"
    }
  }
]

Create a new task

post

Creates a new task within a project or organization

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Body
titlestringRequired

Task title

Example: Review contract
descriptionstring · nullableOptional

Task description

projectIdinteger · nullableOptional

Project to associate with

organizationIdinteger · nullableOptional

Organization to associate with

milestoneIdinteger · nullableOptional

Milestone to associate with

phaseIdinteger · nullableOptional

Phase to associate with

assigneeIdinteger · nullableOptional

User to assign the task to

statusstring · enumRequiredExample: todoPossible values:
prioritystring · enumRequiredExample: mediumPossible values:
dueDatestring · date-time · nullableOptional

Due date (ISO 8601 format)

Responses
200

Task created successfully

application/json
idintegerRequired

Unique task identifier

Example: 1
titlestringRequired

Task title

Example: Complete quarterly report
descriptionstring · nullableOptional

Task description

Example: Compile data from all departments
projectIdinteger · nullableOptional

Associated project ID

Example: 5
organizationIdinteger · nullableOptional

Associated organization ID

milestoneIdinteger · nullableOptional

Associated milestone ID

phaseIdinteger · nullableOptional

Associated phase ID

orderintegerOptional

Display order within the list

Example: 0
assigneeIdinteger · nullableOptional

User ID of assignee

Example: 3
statusstring · enumRequired

Task status

Example: in_progressPossible values:
prioritystring · enumRequired

Task priority

Example: highPossible values:
dueDatestring · date-time · nullableOptional

Task due date

Example: 2026-02-15T00:00:00.000Z
createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

post/tasks
POST /api/tasks HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "title": "Review contract",
  "description": "text",
  "projectId": 1,
  "organizationId": 1,
  "milestoneId": 1,
  "phaseId": 1,
  "assigneeId": 1,
  "status": "todo",
  "priority": "medium",
  "dueDate": "2026-01-01T00:00:00.000Z"
}
{
  "id": 1,
  "title": "Complete quarterly report",
  "description": "Compile data from all departments",
  "projectId": 5,
  "organizationId": 1,
  "milestoneId": 1,
  "phaseId": 1,
  "order": 0,
  "assigneeId": 3,
  "status": "in_progress",
  "priority": "high",
  "dueDate": "2026-02-15T00:00:00.000Z",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Delete a task

delete

Deletes a task

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Path parameters
idintegerRequired

Task ID

Responses
204

Task deleted successfully

No content

delete/tasks/{id}
DELETE /api/tasks/{id} HTTP/1.1
Accept: */*

No content

Update a task

patch

Updates an existing task

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Path parameters
idintegerRequired

Task ID

Body
titlestringOptional
descriptionstring · nullableOptional
milestoneIdinteger · nullableOptional
phaseIdinteger · nullableOptional
assigneeIdinteger · nullableOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
dueDatestring · date-time · nullableOptional
orderintegerOptional
Responses
200

Task updated successfully

application/json
idintegerRequired

Unique task identifier

Example: 1
titlestringRequired

Task title

Example: Complete quarterly report
descriptionstring · nullableOptional

Task description

Example: Compile data from all departments
projectIdinteger · nullableOptional

Associated project ID

Example: 5
organizationIdinteger · nullableOptional

Associated organization ID

milestoneIdinteger · nullableOptional

Associated milestone ID

phaseIdinteger · nullableOptional

Associated phase ID

orderintegerOptional

Display order within the list

Example: 0
assigneeIdinteger · nullableOptional

User ID of assignee

Example: 3
statusstring · enumRequired

Task status

Example: in_progressPossible values:
prioritystring · enumRequired

Task priority

Example: highPossible values:
dueDatestring · date-time · nullableOptional

Task due date

Example: 2026-02-15T00:00:00.000Z
createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

patch/tasks/{id}
PATCH /api/tasks/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 160

{
  "title": "text",
  "description": "text",
  "milestoneId": 1,
  "phaseId": 1,
  "assigneeId": 1,
  "status": "todo",
  "priority": "low",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "order": 1
}
{
  "id": 1,
  "title": "Complete quarterly report",
  "description": "Compile data from all departments",
  "projectId": 5,
  "organizationId": 1,
  "milestoneId": 1,
  "phaseId": 1,
  "order": 0,
  "assigneeId": 3,
  "status": "in_progress",
  "priority": "high",
  "dueDate": "2026-02-15T00:00:00.000Z",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}

Reorder tasks

patch

Updates the order of multiple tasks

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Body
Responses
200

Tasks reordered successfully

No content

patch/tasks/reorder
PATCH /api/tasks/reorder HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "tasks": [
    {
      "id": 1,
      "order": 1
    }
  ]
}

No content

List tasks for a project

get

Returns all tasks associated with a specific project

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Path parameters
projectIdintegerRequired

Project ID

Responses
200

List of project tasks

application/json
idintegerRequired

Unique task identifier

Example: 1
titlestringRequired

Task title

Example: Complete quarterly report
descriptionstring · nullableOptional

Task description

Example: Compile data from all departments
projectIdinteger · nullableOptional

Associated project ID

Example: 5
organizationIdinteger · nullableOptional

Associated organization ID

milestoneIdinteger · nullableOptional

Associated milestone ID

phaseIdinteger · nullableOptional

Associated phase ID

orderintegerOptional

Display order within the list

Example: 0
assigneeIdinteger · nullableOptional

User ID of assignee

Example: 3
statusstring · enumRequired

Task status

Example: in_progressPossible values:
prioritystring · enumRequired

Task priority

Example: highPossible values:
dueDatestring · date-time · nullableOptional

Task due date

Example: 2026-02-15T00:00:00.000Z
createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

get/projects/{projectId}/tasks
GET /api/projects/{projectId}/tasks HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "title": "Complete quarterly report",
    "description": "Compile data from all departments",
    "projectId": 5,
    "organizationId": 1,
    "milestoneId": 1,
    "phaseId": 1,
    "order": 0,
    "assigneeId": 3,
    "status": "in_progress",
    "priority": "high",
    "dueDate": "2026-02-15T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "assignee": {
      "id": 1,
      "username": "text",
      "fullName": "text"
    },
    "project": {
      "id": 1,
      "title": "text"
    },
    "milestone": {
      "id": 1,
      "title": "text"
    }
  }
]

Update task phase

patch

Moves a task to a different phase

Authorizations
connect.sidstringRequired

Session-based authentication via HTTP-only cookie

Path parameters
taskIdintegerRequired

Task ID

Body
phaseIdinteger · nullableOptional

New phase ID (null to remove from phase)

Responses
200

Task phase updated successfully

No content

patch/tasks/{taskId}/phase
PATCH /api/tasks/{taskId}/phase HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "phaseId": 1
}

No content

Last updated

Was this helpful?